Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2019 19:51:21 +0200

> Date: Sun, 08 Dec 2019 18:41:08 +0100
> From: Juan Jose Garcia-Ripoll <[email-masked]>
> Cc: Juan Jose Garcia-Ripoll <[email-masked]>,
> 	[email-masked]
> 
> - w32-shell-execute with verb "open" fails to actually open any object that lays inside a Nextcloud folder.
> - those same files can be opened from Windows Explorer
> - moving those files outside of Nextcloud or switching off Nextcloud solves the issue but that is kind of pointless.
> - w32-shell-execute does not generate any message or log and I do not know how to debug it.
> 
> The problem is evidenced with any type of file. Initially I was obsessed with PDF but as I explain in my previous file, it occurs with Word files and any other file that is not associated to emacs -- for instance, 
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.docx")
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.pdf")
> 
> I am wondering whether it has to do with the permissions of the emacs.exe executable or the fact that it uses a w32 api call. I have tried investigating the Windows logs but I found no error associated to the w32-shell-execute call.

Thanks.

Sorry, I cannot help you, as I know nothing about Nextcloud.  Maybe
someone else does.  Failing that, I suggest to ask on the Nextcloud
forum, showing them the code we have in Emacs that calls
ShellExecuteW, or just asking whether there are known issues with
ShellExecuteW calls for files in the Nextcloud directory.